#define F_CPU 16000000UL
#include <avr/io.h>
#include <util/delay.h>


uint16_t read_adc(uint8_t channel)
{
    ADMUX = 0b01000000;
    ADMUX |= channel; 
    ADCSRA = 0b11000110;
    while ((ADCSRA & (1<<ADSC)))
        ;
    return ADCL + ADCH*256;
}


main()
{
    PORTC = 0b00000000;  
    DDRC  = 0b00000101;  


    while (1)
    {
uint16_t LDRR  = read_adc(1);
uint16_t LDRL = read_adc(3);
uint16_t LDRC = read_adc(4);
if (LDRC >= 900)
PORTC |= 0b00000101;
else if ((LDRR > 600) && (LDRL<=800))
PORTC = 0b00000001;
else if ((LDRR <= 600) && (LDRL>800))
PORTC = 0b00000100;
else
PORTC = 0b00000000;
    }
}
